package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 游戏配置对象 app_game
 *
 * @author game
 * @date 2024-06-14
 */
@ApiModel(value = "app_game", description = "游戏配置")
@TableName(value= "app_game")
@Data
public class AppGame {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    @TableField(value = "name")
    private String name;

    /** 编码 */
    @ApiModelProperty(value = "编码（对应游戏方ID）")
    @Excel(name = "编码")
    @TableField(value = "code")
    private String code;

    /** 所属分类id */
    @ApiModelProperty(value = "所属分类id")
    @Excel(name = "所属分类id")
    @TableField(value = "classify_id")
    private Long classifyId;

    /** 游戏当前期号 */
    @ApiModelProperty(value = "游戏当前期号（socket推送填充、更新）")
    @Excel(name = "游戏当前期号")
    @TableField(value = "game_date")
    private String gameDate;

    /** 游戏当前期号 */
    @ApiModelProperty(value = "游戏当前游戏倒计时（socket推送填充、更新）")
    @Excel(name = "游戏当前倒计时")
    @TableField(value = "game_time")
    private String gameTime;


    /** logo */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    @TableField(value = "logo_url")
    private String logoUrl;


    @ApiModelProperty(value = "直播间图片")
    @Excel(name = "直播间图片")
    @TableField(value = "live_img_url")
    private String liveImgUrl;

    @ApiModelProperty(value = "我的页面图片")
    @Excel(name = "我的页面图片")
    @TableField(value = "my_img_url")
    private String myImgUrl;

    /** 游戏路径 */
    @ApiModelProperty(value = "游戏路径")
    @Excel(name = "游戏路径")
    @TableField(value = "game_path")
    private String gamePath;

    /** 上次中奖选项 */
    @ApiModelProperty(value = "上次中奖选项")
    @Excel(name = "上次中奖选项")
    @TableField(value = "up_item")
    private String upItem;

    /** 是否启用 0：已关闭  1：未关闭 */
    @ApiModelProperty(value = "是否启用 0：已关闭  1：未关闭")
    @Excel(name = "是否关闭 0：已关闭  1：未关闭")
    @TableField(value = "status")
    private Long status;

    /** 是否启用投注 0：启用 1：禁用 */
    @ApiModelProperty(value = "是否启用 0：启用 1：禁用")
    @Excel(name = "是否启用 0：启用 1：禁用")
    @TableField(value = "enable")
    private Integer enable;

    /** 每期投注次数 */
    @ApiModelProperty(value = "每期投注次数")
    @Excel(name = "每期投注次数")
    @TableField(value = "betting_count")
    private Integer bettingCount;

    /** 每期投注次数 */
    @ApiModelProperty(value = "每期投注上限金额")
    @Excel(name = "每期投注上限金额")
    @TableField(value = "betting_max_money")
    private Double bettingMaxMoney;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    @TableField(value = "orderno")
    private Integer orderno;

    /** 备用字段1 */
    @ApiModelProperty(value = "备用字段1")
    @Excel(name = "备用字段1")
    @TableField(value = "game_expand1")
    private String gameExpand1;

    /** 备用字段2 */
    @ApiModelProperty(value = "备用字段2")
    @Excel(name = "备用字段2")
    @TableField(value = "game_expand2")
    private String gameExpand2;

    /** 备用字段3 */
    @ApiModelProperty(value = "备用字段3")
    @Excel(name = "备用字段3")
    @TableField(value = "game_expand3")
    private String gameExpand3;

    /** 备用字段4 */
    @ApiModelProperty(value = "备用字段4")
    @Excel(name = "备用字段4")
    @TableField(value = "game_expand4")
    private String gameExpand4;

    /** 备用字段4 */
    @ApiModelProperty(value = "创建时间")
    @Excel(name = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

}