package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 游戏分类对象 app_game_classify
 *
 * @author dos
 * @date 2024-06-14
 */
@ApiModel(value = "app_game_classify", description = "游戏分类")
@TableName(value= "app_game_classify")
@Data
public class AppGameClassify
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    @TableField(value = "name")
    private String name;

    /** 编码 */
    @ApiModelProperty(value = "编码（对应游戏方ID）")
    @Excel(name = "编码")
    @TableField(value = "code")
    private String code;

    /** logo */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    @TableField(value = "logo_url")
    private String logoUrl;

    /** 是否启用 0：未启用  1：启用 */
    @ApiModelProperty(value = "是否启用 0：未启用  1：启用")
    @Excel(name = "是否启用 0：未启用  1：启用")
    @TableField(value = "status")
    private Long status;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    @TableField(value = "orderno")
    private Long orderno;

}