package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 游戏佣金配置对象 app_game_commission
 *
 * @author game
 * @date 2024-06-23
 */
@ApiModel(value = "app_game_commission", description = "游戏佣金配置")
@TableName(value= "app_game_commission")
@Data
public class AppGameCommission
        {
private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 游戏ID */
    @ApiModelProperty(value = "游戏ID")
    @Excel(name = "游戏ID")
    @TableField(value = "game_id")
    private Long gameId;

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    private Long userId;

    /** 上级ID */
    @ApiModelProperty(value = "上级ID")
    @Excel(name = "上级ID")
    @TableField(value = "pid")
    private Long pid;

    /** 游戏返佣费率 */
    @ApiModelProperty(value = "游戏返佣费率")
    @Excel(name = "游戏返佣费率")
    @TableField(value = "game_rate")
    private Double gameRate;

    @TableField(exist = false)
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

}