package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 游戏选项对象 app_game_item
 *
 * @author game
 * @date 2024-06-29
 */
@ApiModel(value = "app_game_item", description = "游戏选项")
@TableName(value= "app_game_item")
@Data
public class AppGameItem
        {
private static final long serialVersionUID=1L;

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 游戏ID */
    @ApiModelProperty(value = "游戏ID")
    @Excel(name = "游戏ID")
    @TableField(value = "game_id")
    private Long gameId;

    /** 选项名称 */
    @ApiModelProperty(value = "选项名称")
    @Excel(name = "选项名称")
    @TableField(value = "item_name")
    private String itemName;

    /** 选项倍数 */
    @ApiModelProperty(value = "选项倍数")
    @Excel(name = "选项倍数")
    @TableField(value = "item_multiple")
    private Double itemMultiple;

    /** 选项值（第三方同步） */
    @ApiModelProperty(value = "选项值（第三方同步）")
    @Excel(name = "选项值" , readConverterExp = "第三方同步")
    @TableField(value = "item_location")
    private String itemLocation;

    /** 每期投注金额 */
    @ApiModelProperty(value = "每期投注金额")
    @Excel(name = "每期投注金额")
    @TableField(value = "betting_money")
    private Double bettingMoney;

    @ApiModelProperty(value = "开奖次数")
    @Excel(name = "开奖次数" , readConverterExp = "开奖次数")
    @TableField(value = "lottery_count")
    private Integer lotteryCount;

    @ApiModelProperty(value = "连中次数")
    @Excel(name = "连中次数" , readConverterExp = "连中次数")
    @TableField(value = "consecutive")
    private Integer consecutive;

}