package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "app_game_lottery")
public class AppGameLottery {

    @ApiModelProperty(value = "游戏开奖Id")
    @TableId(value = "id" , type = IdType.AUTO)
    @Excel(name = "游戏开奖Id", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏开奖Id")
    private Long id;


    @Excel(name = "游戏类型Id")
    @TableField(value = "class_id")
    @ApiModelProperty(value = "游戏类型Id")
    private Long classId;

    @Excel(name = "游戏Id")
    @TableField(value = "game_id")
    @ApiModelProperty(value = "游戏Id")
    private Long gameId;

    @Excel(name = "游戏期号")
    @TableField(value = "game_date")
    @ApiModelProperty(value = "游戏期号")
    private String gameDate;

    @Excel(name = "是否开奖：0 否；1是")
    @TableField(value = "is_lottery")
    @ApiModelProperty(value = "是否开奖：0 否；1是")
    private Integer isLottery;

    @Excel(name = "开奖选项")
    @TableField(value = "game_lottery_succ")
    @ApiModelProperty(value = "开奖选项")
    private String gameLotterySucc;

    @Excel(name = "记录时间")
    @TableField(value = "game_record_date")
    @ApiModelProperty(value = "记录时间")
    private Date gameRecordDate;
}
