package com.game.business.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 游戏投注金额对象 app_game_money
 *
 * @author game
 * @date 2024-08-29
 */
@ApiModel(value = "app_game_money", description = "游戏投注金额")
@TableName(value= "app_game_money")
@Data
public class AppGameMoney
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 游戏id */
    @ApiModelProperty(value = "游戏id")
    @Excel(name = "游戏id")
    @TableField(value = "app_game_id")
    private Long appGameId;

    /** 投注金额 */
    @ApiModelProperty(value = "投注金额")
    @Excel(name = "投注金额")
    @TableField(value = "betting_money")
    private Double bettingMoney;

    /** 删除状态 0:未删除(默认) 1:已删除 */
    @ApiModelProperty(value = "删除状态 0:未删除(默认) 1:已删除")
    @TableField(value = "del_flag")
    private Integer delFlag;

}