package com.game.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * app用户对象 app_user
 *
 * @author game
 * @date 2024-06-18
 */
@ApiModel(value = "app_user", description = "app用户")
@TableName(value= "app_user")
@Data
public class AppUser
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "userid" , type = IdType.AUTO)
    private Long userid;

    /** 地址  */
    @ApiModelProperty(value = "地址 ")
    @Excel(name = "地址 ")
    @TableField(value = "address")
    private String address;

    /** 直属上级代理（后台管理员） */
    @ApiModelProperty(value = "直属上级代理（后台管理员）")
    @Excel(name = "直属上级代理" , readConverterExp = "后=台管理员")
    @TableField(value = "agent_id")
    private Long agentId;

    /** 映票余额 */
    @ApiModelProperty(value = "映票余额")
    @Excel(name = "映票余额")
    @TableField(value = "amount")
    private Double amount;

    /** 主播等级 */
    @ApiModelProperty(value = "主播等级")
    @Excel(name = "主播等级")
    @TableField(value = "anchor_grade")
    private Long anchorGrade;

    /** 主播积分 */
    @ApiModelProperty(value = "主播积分")
    @Excel(name = "主播积分")
    @TableField(value = "anchor_point")
    private Long anchorPoint;

    /** 当前版本号 */
    @ApiModelProperty(value = "当前版本号")
    @Excel(name = "当前版本号")
    @TableField(value = "app_version")
    private String appVersion;

    /** 当前版本code */
    @ApiModelProperty(value = "当前版本code")
    @Excel(name = "当前版本code")
    @TableField(value = "app_version_code")
    private String appVersionCode;

    /** 用户头像 */
    @ApiModelProperty(value = "用户头像")
    @Excel(name = "用户头像")
    @TableField(value = "avatar")
    private String avatar;

    /** 连续登录天数 */
    @ApiModelProperty(value = "连续登录天数")
    @Excel(name = "连续登录天数")
    @TableField(value = "award_login_day")
    private Long awardLoginDay;

    /** 生日 */
    @ApiModelProperty(value = "生日")
    @Excel(name = "生日")
    @TableField(value = "birthday")
    private String birthday;

    /** 全站广播功能 0:关闭功能 1:开启功能 */
    @ApiModelProperty(value = "全站广播功能 0:关闭功能 1:开启功能")
    @Excel(name = "全站广播功能 0:关闭功能 1:开启功能")
    @TableField(value = "broad_cast")
    private Long broadCast;

    /** 分类id对应app_live_channel表 */
    @ApiModelProperty(value = "分类id对应app_live_channel表")
    @Excel(name = "分类id对应app_live_channel表")
    @TableField(value = "channel_id")
    private Long channelId;

    /** 充值隐身 0:不隐身 1:隐身 */
    @ApiModelProperty(value = "充值隐身 0:不隐身 1:隐身")
    @Excel(name = "充值隐身 0:不隐身 1:隐身")
    @TableField(value = "charge_show")
    private Long chargeShow;

    /** 魅力等级 */
    @ApiModelProperty(value = "魅力等级")
    @Excel(name = "魅力等级")
    @TableField(value = "charm_grade")
    private Long charmGrade;

    /** 魅力积分 */
    @ApiModelProperty(value = "魅力积分")
    @Excel(name = "魅力积分")
    @TableField(value = "charm_point")
    private Long charmPoint;

    /** 城市 */
    @ApiModelProperty(value = "城市")
    @Excel(name = "城市")
    @TableField(value = "city")
    private String city;

    /** 0:未编辑过 1:编辑过了 */
    @ApiModelProperty(value = "0:未编辑过 1:编辑过了")
    @Excel(name = "0:未编辑过 1:编辑过了")
    @TableField(value = "city_edit")
    private Long cityEdit;

    /** 金币 */
    @ApiModelProperty(value = "金币")
    @Excel(name = "金币")
    @TableField(value = "coin")
    private Double coin;

    /** 金币 */
    @ApiModelProperty(value = "可兑换（提现）金币")
    @Excel(name = "可兑换（提现）金币")
    @TableField(value = "coin_cash")
    private Double coinCash;

    /** 星座 */
    @ApiModelProperty(value = "星座")
    @Excel(name = "星座")
    @TableField(value = "constellation")
    private String constellation;

    /** 消费总额(财富积分) */
    @ApiModelProperty(value = "消费总额(财富积分)")
    @Excel(name = "消费总额(财富积分)")
    @TableField(value = "consumption")
    private Double consumption;

    /** 注册时间 */
    @ApiModelProperty(value = "注册时间")
    @TableField(value = "create_time")
    private Date createTime;

    /** 分成方案 */
    @ApiModelProperty(value = "分成方案")
    @Excel(name = "分成方案")
    @TableField(value = "deal_scale_plan")
    private Long dealScalePlan;

    /** 删除状态 0:未删除(默认) 1:已删除 */
    @ApiModelProperty(value = "删除状态 0:未删除(默认) 1:已删除")
    @TableField(value = "del_flag")
    private Long delFlag;

    /** 用户当前设备信息ID  */
    @ApiModelProperty(value = "用户当前设备信息ID ")
    @Excel(name = "用户当前设备信息ID ")
    @TableField(value = "device_id")
    private String deviceId;

    /** 贡献榜排行隐身 0:不隐身 1:隐身 */
    @ApiModelProperty(value = "贡献榜排行隐身 0:不隐身 1:隐身")
    @Excel(name = "贡献榜排行隐身 0:不隐身 1:隐身")
    @TableField(value = "devote_show")
    private Long devoteShow;

    /** 礼物全局广播 0:关闭 1:开启 */
    @ApiModelProperty(value = "礼物全局广播 0:关闭 1:开启")
    @Excel(name = "礼物全局广播 0:关闭 1:开启")
    @TableField(value = "gift_global_broadcast")
    private Long giftGlobalBroadcast;

    /** 当前装备靓号 */
    @ApiModelProperty(value = "当前装备靓号")
    @Excel(name = "当前装备靓号")
    @TableField(value = "goodnum")
    private String goodnum;

    /** 主播粉丝团群聊id */
    @ApiModelProperty(value = "主播粉丝团群聊id")
    @Excel(name = "主播粉丝团群聊id")
    @TableField(value = "group_id")
    private Long groupId;

    /** 房间号(跟随用) */
    @ApiModelProperty(value = "房间号(跟随用)")
    @Excel(name = "房间号(跟随用)")
    @TableField(value = "gs_room_id")
    private Long gsRoomId;

    /** 跟随房间类型 1:视频 2:语音 */
    @ApiModelProperty(value = "跟随房间类型 1:视频 2:语音")
    @Excel(name = "跟随房间类型 1:视频 2:语音")
    @TableField(value = "gs_room_type")
    private Long gsRoomType;

    /** 所属公会ID */
    @ApiModelProperty(value = "所属公会ID")
    @Excel(name = "所属公会ID")
    @TableField(value = "guild_id")
    private Long guildId;

    /** ooo导航分类关联app_live_channel表 */
    @ApiModelProperty(value = "ooo导航分类关联app_live_channel表")
    @Excel(name = "ooo导航分类关联app_live_channel表")
    @TableField(value = "head_no")
    private Long headNo;

    /** 身高  */
    @ApiModelProperty(value = "身高 ")
    @Excel(name = "身高 ")
    @TableField(value = "height")
    private Long height;

    /** 隐藏距离 0:不隐藏 1:隐藏 */
    @ApiModelProperty(value = "隐藏距离 0:不隐藏 1:隐藏")
    @Excel(name = "隐藏距离 0:不隐藏 1:隐藏")
    @TableField(value = "hide_distance")
    private Long hideDistance;

    /** 用户资料图片 */
    @ApiModelProperty(value = "用户资料图片")
    @Excel(name = "用户资料图片")
    @TableField(value = "invite_code")
    private String inviteCode;

    /** 绑定码 */
    @ApiModelProperty(value = "绑定码")
    @Excel(name = "绑定码")
    @TableField(value = "bind_code")
    private String bindCode;

    /**  用户当前的位置信息ID */
    @ApiModelProperty(value = " 用户当前的位置信息ID")
    @Excel(name = " 用户当前的位置信息ID")
    @TableField(value = "ipaddr")
    private String ipaddr;

    /** 主播是否认证 0:未认证 1:已认证  后台添加主播时,如果是认证状态, 需要添加认证记录 */
    @ApiModelProperty(value = "主播是否认证 0:未认证 1:已认证  后台添加主播时,如果是认证状态, 需要添加认证记录")
    @Excel(name = "主播是否认证 0:未认证 1:已认证  后台添加主播时,如果是认证状态, 需要添加认证记录")
    @TableField(value = "is_anchor_auth")
    private Long isAnchorAuth;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @Excel(name = "${comment}" , readConverterExp = "$column.readConverterExp()")
    @TableField(value = "is_automatic")
    private Long isAutomatic;

    /** 是否加入极光 0:未加入 1:已加入 */
    @ApiModelProperty(value = "是否加入极光 0:未加入 1:已加入")
    @Excel(name = "是否加入极光 0:未加入 1:已加入")
    @TableField(value = "is_join_jg")
    private Long isJoinJg;

    /** 是否是多人直播演示账号 1:多人视频直播演示账号 2:多人语音直播演示账号 0:否 */
    @ApiModelProperty(value = "是否是多人直播演示账号 1:多人视频直播演示账号 2:多人语音直播演示账号 0:否")
    @Excel(name = "是否是多人直播演示账号 1:多人视频直播演示账号 2:多人语音直播演示账号 0:否")
    @TableField(value = "is_live_account")
    private Long isLiveAccount;

    /** 是否开启勿扰 0:未开启 1:开启 */
    @ApiModelProperty(value = "是否开启勿扰 0:未开启 1:开启")
    @Excel(name = "是否开启勿扰 0:未开启 1:开启")
    @TableField(value = "is_not_disturb")
    private Long isNotDisturb;

    /** 是否是一对一演示账号 1:是 0:否 */
    @ApiModelProperty(value = "是否是一对一演示账号 1:是 0:否")
    @Excel(name = "是否是一对一演示账号 1:是 0:否")
    @TableField(value = "is_ooo_account")
    private Long isOooAccount;

    /** 是否开启消息推送 0:开启 1:关闭 */
    @ApiModelProperty(value = "是否开启消息推送 0:开启 1:关闭")
    @Excel(name = "是否开启消息推送 0:开启 1:关闭")
    @TableField(value = "is_push")
    private Long isPush;

    /** 是否推荐 0:不推荐 1:推荐中 */
    @ApiModelProperty(value = "是否推荐 0:不推荐 1:推荐中")
    @Excel(name = "是否推荐 0:不推荐 1:推荐中")
    @TableField(value = "is_recommend")
    private Long isRecommend;

    /** 是否显示在首页 是否显示在首页 1:展示在首页 0:不展示在首页 */
    @ApiModelProperty(value = "是否显示在首页 是否显示在首页 1:展示在首页 0:不展示在首页")
    @Excel(name = "是否显示在首页 是否显示在首页 1:展示在首页 0:不展示在首页")
    @TableField(value = "is_show_home_page")
    private Long isShowHomePage;

    /**  用户是否开通了SVIP 1是 0否 */
    @ApiModelProperty(value = " 用户是否开通了SVIP 1是 0否")
    @Excel(name = " 用户是否开通了SVIP 1是 0否")
    @TableField(value = "is_svip")
    private Long isSvip;

    /** 是否关闭提示音 0:开启 1:关闭 */
    @ApiModelProperty(value = "是否关闭提示音 0:开启 1:关闭")
    @Excel(name = "是否关闭提示音 0:开启 1:关闭")
    @TableField(value = "is_tone")
    private Long isTone;

    /** 是否开启青少年模式 1:开启 2:未开启 */
    @ApiModelProperty(value = "是否开启青少年模式 1:开启 2:未开启")
    @Excel(name = "是否开启青少年模式 1:开启 2:未开启")
    @TableField(value = "is_youth_model")
    private Long isYouthModel;

    /** 是否热门显示 1:否 0:是 */
    @ApiModelProperty(value = "是否热门显示 1:否 0:是")
    @Excel(name = "是否热门显示 1:否 0:是")
    @TableField(value = "ishot")
    private Long ishot;

    /** 是否开起回放 1:未开启 0:已开启 */
    @ApiModelProperty(value = "是否开起回放 1:未开启 0:已开启")
    @Excel(name = "是否开起回放 1:未开启 0:已开启")
    @TableField(value = "isrecord")
    private Long isrecord;

    /** 是否超管 1:否 0:是 */
    @ApiModelProperty(value = "是否超管 1:否 0:是")
    @Excel(name = "是否超管 1:否 0:是")
    @TableField(value = "issuper")
    private Long issuper;

    /** 是否开启僵尸粉 1:未开启(默认) 0:已开启 */
    @ApiModelProperty(value = "是否开启僵尸粉 1:未开启(默认) 0:已开启")
    @Excel(name = "是否开启僵尸粉 1:未开启(默认) 0:已开启")
    @TableField(value = "iszombie")
    private Long iszombie;

    /** 是否真人 0:不是 1:是 */
    @ApiModelProperty(value = "是否真人 0:不是 1:是")
    @Excel(name = "是否真人 0:不是 1:是")
    @TableField(value = "iszombiep")
    private Long iszombiep;

    /** 加入房间隐身 0:不隐身 1:隐身 */
    @ApiModelProperty(value = "加入房间隐身 0:不隐身 1:隐身")
    @Excel(name = "加入房间隐身 0:不隐身 1:隐身")
    @TableField(value = "join_room_show")
    private Long joinRoomShow;

    /** 被踢到期时间戳  */
    @ApiModelProperty(value = "被踢到期时间戳 ")
    @Excel(name = "被踢到期时间戳 ")
    @TableField(value = "kick_time")
    private Long kickTime;

    /** 上次抽奖进度  */
    @ApiModelProperty(value = "上次抽奖进度 ")
    @Excel(name = "上次抽奖进度 ")
    @TableField(value = "last_game_num")
    private Long lastGameNum;

    /** 上次登录时间(连续登录用) */
    @ApiModelProperty(value = "上次登录时间(连续登录用)")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次登录时间(连续登录用)" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "last_login_day")
    private Date lastLoginDay;

    /** 最后登录ip */
    @ApiModelProperty(value = "最后登录ip")
    @Excel(name = "最后登录ip")
    @TableField(value = "last_login_ip")
    private String lastLoginIp;

    /**  上次登录时间 */
    @ApiModelProperty(value = " 上次登录时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = " 上次登录时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "last_login_time")
    private Date lastLoginTime;

    /**  离线时间 */
    @ApiModelProperty(value = " 离线时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = " 离线时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "last_off_line_time")
    private Date lastOffLineTime;

    /** 纬度  */
    @ApiModelProperty(value = "纬度 ")
    @Excel(name = "纬度 ")
    @TableField(value = "lat")
    private Double lat;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @Excel(name = "${comment}" , readConverterExp = "$column.readConverterExp()")
    @TableField(value = "level")
    private Long level;

    /** 是否有直播购 0:没有直播购 1:有直播购 */
    @ApiModelProperty(value = "是否有直播购 0:没有直播购 1:有直播购")
    @Excel(name = "是否有直播购 0:没有直播购 1:有直播购")
    @TableField(value = "live_function")
    private Long liveFunction;

    /** 视频直播状态:0:未进行直播 1:直播主播 2:直播观众 */
    @ApiModelProperty(value = "视频直播状态:0:未进行直播 1:直播主播 2:直播观众")
    @Excel(name = "视频直播状态:0:未进行直播 1:直播主播 2:直播观众")
    @TableField(value = "live_status")
    private Long liveStatus;

    /** 封面 */
    @ApiModelProperty(value = "封面")
    @Excel(name = "封面")
    @TableField(value = "live_thumb")
    private String liveThumb;

    /** 直播封面图 */
    @ApiModelProperty(value = "直播封面图")
    @Excel(name = "直播封面图")
    @TableField(value = "live_thumbs")
    private String liveThumbs;

    /** 经度  */
    @ApiModelProperty(value = "经度 ")
    @Excel(name = "经度 ")
    @TableField(value = "lng")
    private Double lng;

    /** 禁用原因  */
    @ApiModelProperty(value = "禁用原因 ")
    @Excel(name = "禁用原因 ")
    @TableField(value = "lock_reason")
    private String lockReason;

    /** 禁用时间  */
    @ApiModelProperty(value = "禁用时间 ")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "禁用时间 " , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "lock_time")
    private Date lockTime;

    /** 注册方式 1:手机注册 2:微信注册 3:QQ注册 */
    @ApiModelProperty(value = "注册方式 1:手机注册 2:微信注册 3:QQ注册")
    @Excel(name = "注册方式 1:手机注册 2:微信注册 3:QQ注册")
    @TableField(value = "login_type")
    private String loginType;

    /** 上级经纪人ID，对应AdminUser表 */
    @ApiModelProperty(value = "上级经纪人ID，对应AdminUser表")
    @Excel(name = "上级经纪人ID，对应AdminUser表")
    @TableField(value = "manager_co_id")
    private Long managerCoId;

    /** 上级经纪人ID，对应AdminUser表 */
    @ApiModelProperty(value = "上级经纪人ID，对应AdminUser表")
    @Excel(name = "上级经纪人ID，对应AdminUser表")
    @TableField(value = "manager_id")
    private Long managerId;

    /** 最大连续签到天数 */
    @ApiModelProperty(value = "最大连续签到天数")
    @Excel(name = "最大连续签到天数")
    @TableField(value = "max_sign_count")
    private Long maxSignCount;

    /**  手机号 */
    @ApiModelProperty(value = " 手机号")
    @Excel(name = " 手机号")
    @TableField(value = "mobile")
    private String mobile;

    /** 昵称  */
    @ApiModelProperty(value = "昵称 ")
    @Excel(name = "昵称 ")
    @TableField(value = "nickname")
    private String nickname;

    /** 贵族等级 */
    @ApiModelProperty(value = "贵族等级")
    @Excel(name = "贵族等级")
    @TableField(value = "noble_grade")
    private Long nobleGrade;

    /** 用户在线状态 0:离线 1:在线 */
    @ApiModelProperty(value = "用户在线状态 0:离线 1:在线")
    @Excel(name = "用户在线状态 0:离线 1:在线")
    @TableField(value = "online_status")
    private Long onlineStatus;

    /** 首页一对一排序编号 */
    @ApiModelProperty(value = "首页一对一排序编号")
    @Excel(name = "首页一对一排序编号")
    @TableField(value = "ooo_home_page_sort_no")
    private Long oooHomePageSortNo;

    /** 一对一直播状态:0:未进行直播 1:通话中 2:邀请他人通话 3:正在被邀请 */
    @ApiModelProperty(value = "一对一直播状态:0:未进行直播 1:通话中 2:邀请他人通话 3:正在被邀请")
    @Excel(name = "一对一直播状态:0:未进行直播 1:通话中 2:邀请他人通话 3:正在被邀请")
    @TableField(value = "ooo_live_status")
    private Long oooLiveStatus;

    /** ooo二级分类id */
    @ApiModelProperty(value = "ooo二级分类id")
    @Excel(name = "ooo二级分类id")
    @TableField(value = "ooo_two_classify_id")
    private Long oooTwoClassifyId;

    /** 开播随机僵尸粉数量 */
    @ApiModelProperty(value = "开播随机僵尸粉数量")
    @Excel(name = "开播随机僵尸粉数量")
    @TableField(value = "open_live_zombie_num")
    private Long openLiveZombieNum;

    /** 微信企业ID  */
    @ApiModelProperty(value = "微信企业ID ")
    @Excel(name = "微信企业ID ")
    @TableField(value = "openid")
    private String openid;

    /** 操作用户名,如禁用操作/解禁操作等 */
    @ApiModelProperty(value = "操作用户名,如禁用操作/解禁操作等")
    @Excel(name = "操作用户名,如禁用操作/解禁操作等")
    @TableField(value = "opt_user_name")
    private String optUserName;

    /** 密码  */
    @ApiModelProperty(value = "密码 ")
    @Excel(name = "密码 ")
    @TableField(value = "password")
    private String password;

    /** 手机厂商 */
    @ApiModelProperty(value = "手机厂商")
    @Excel(name = "手机厂商")
    @TableField(value = "phone_firm")
    private String phoneFirm;

    /** 手机型号 */
    @ApiModelProperty(value = "手机型号")
    @Excel(name = "手机型号")
    @TableField(value = "phone_model")
    private String phoneModel;

    /** 手机系统 */
    @ApiModelProperty(value = "手机系统")
    @Excel(name = "手机系统")
    @TableField(value = "phone_system")
    private String phoneSystem;

    /** 手机唯一标识 */
    @ApiModelProperty(value = "手机唯一标识")
    @Excel(name = "手机唯一标识")
    @TableField(value = "phone_uuid")
    private String phoneUuid;

    /** 直属上级 */
    @ApiModelProperty(value = "直属上级")
    @Excel(name = "直属上级")
    @TableField(value = "pid")
    private Long pid;

    /** 用户资料图片 */
    @ApiModelProperty(value = "用户资料图片")
    @Excel(name = "用户资料图片")
    @TableField(value = "portrait")
    private String portrait;

    /** 海报 */
    @ApiModelProperty(value = "海报")
    @Excel(name = "海报")
    @TableField(value = "poster")
    private String poster;

    /** 省份 */
    @ApiModelProperty(value = "省份")
    @Excel(name = "省份")
    @TableField(value = "province")
    private String province;

    /** 推送平台 1:小米 2:华为 3:vivo 4:oppo 5:苹果 6:极光 7:apns 8:miApns */
    @ApiModelProperty(value = "推送平台 1:小米 2:华为 3:vivo 4:oppo 5:苹果 6:极光 7:apns 8:miApns")
    @Excel(name = "推送平台 1:小米 2:华为 3:vivo 4:oppo 5:苹果 6:极光 7:apns 8:miApns")
    @TableField(value = "push_platform")
    private Long pushPlatform;

    /** 推送平台对应的id */
    @ApiModelProperty(value = "推送平台对应的id")
    @Excel(name = "推送平台对应的id")
    @TableField(value = "push_register_id")
    private String pushRegisterId;

    /** 短视频剩余可观看次数 */
    @ApiModelProperty(value = "短视频剩余可观看次数")
    @Excel(name = "短视频剩余可观看次数")
    @TableField(value = "read_short_video_number")
    private Long readShortVideoNumber;

    /**  注册类型 */
    @ApiModelProperty(value = " 注册类型")
    @Excel(name = " 注册类型")
    @TableField(value = "reg_type")
    private Long regType;

    /** 注册时ip */
    @ApiModelProperty(value = "注册时ip")
    @Excel(name = "注册时ip")
    @TableField(value = "register_ip")
    private String registerIp;

    /** 角色 0:普通用户 1:主播 */
    @ApiModelProperty(value = "角色 0:普通用户 1:主播")
    @Excel(name = "角色 0:普通用户 1:主播")
    @TableField(value = "role")
    private Long role;

    /** 房间号 */
    @ApiModelProperty(value = "房间号")
    @Excel(name = "房间号")
    @TableField(value = "room_id")
    private Long roomId;

    /** 房间标题 */
    @ApiModelProperty(value = "房间标题")
    @Excel(name = "房间标题")
    @TableField(value = "room_title")
    private String roomTitle;

    /** 房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间 */
    @ApiModelProperty(value = "房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间")
    @Excel(name = "房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间")
    @TableField(value = "room_type")
    private Long roomType;

    /** 房间类型值 */
    @ApiModelProperty(value = "房间类型值")
    @Excel(name = "房间类型值")
    @TableField(value = "room_type_val")
    private String roomTypeVal;

    /**  盐 */
    @ApiModelProperty(value = " 盐")
    @Excel(name = " 盐")
    @TableField(value = "salt")
    private String salt;

    /** 三围 */
    @ApiModelProperty(value = "三围")
    @Excel(name = "三围")
    @TableField(value = "sanwei")
    private String sanwei;

    /** 用户积分 */
    @ApiModelProperty(value = "用户积分")
    @Excel(name = "用户积分")
    @TableField(value = "score")
    private Long score;

    /** 性别 0:未设置 1:男 2:女  */
    @ApiModelProperty(value = "性别 0:未设置 1:男 2:女 ")
    @Excel(name = "性别 0:未设置 1:男 2:女 ")
    @TableField(value = "sex")
    private Long sex;

    /** 连续签到次数 */
    @ApiModelProperty(value = "连续签到次数")
    @Excel(name = "连续签到次数")
    @TableField(value = "sign_count")
    private Long signCount;

    /** 上次签到时间 */
    @ApiModelProperty(value = "上次签到时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上次签到时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "sign_time")
    private Date signTime;

    /** 个性签名 */
    @ApiModelProperty(value = "个性签名")
    @Excel(name = "个性签名")
    @TableField(value = "signature")
    private String signature;

    /** 手机号区域 例如:86 */
    @ApiModelProperty(value = "手机号区域 例如:86")
    @Excel(name = "手机号区域 例如:86")
    @TableField(value = "sms_region")
    private String smsRegion;

    /** 注册来源 */
    @ApiModelProperty(value = "注册来源")
    @Excel(name = "注册来源")
    @TableField(value = "source")
    private String source;

    /**  主播星级id */
    @ApiModelProperty(value = " 主播星级id")
    @Excel(name = " 主播星级id")
    @TableField(value = "star_id")
    private Long starId;

    /**  用户状态 1:禁用 0:正常 */
    @ApiModelProperty(value = " 用户状态 1:禁用 0:正常")
    @Excel(name = " 用户状态 1:禁用 0:正常")
    @TableField(value = "status")
    private Long status;

    /** 总收益佣金 */
    @ApiModelProperty(value = "总收益佣金")
    @Excel(name = "总收益佣金")
    @TableField(value = "total_amount")
    private Double totalAmount;

    /** 累计提现金额 */
    @ApiModelProperty(value = "累计提现金额")
    @Excel(name = "累计提现金额")
    @TableField(value = "total_amount_cash")
    private Double totalAmountCash;

    /** 累计提现金额 */
    @ApiModelProperty(value = "累计提现金额")
    @Excel(name = "累计提现金额")
    @TableField(value = "total_cash")
    private Double totalCash;

    /** 累计充值金额 */
    @ApiModelProperty(value = "累计充值金额")
    @Excel(name = "累计充值金额")
    @TableField(value = "total_charge")
    private Double totalCharge;

    /**  微信唯一ID */
    @ApiModelProperty(value = " 微信唯一ID")
    @Excel(name = " 微信唯一ID")
    @TableField(value = "unionid")
    private String unionid;

    /** 修改密码时间  */
    @ApiModelProperty(value = "修改密码时间 ")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改密码时间 " , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "update_pwd_time")
    private Date updatePwdTime;

    /** 激活码 */
    @ApiModelProperty(value = "激活码")
    @Excel(name = "激活码")
    @TableField(value = "user_activation_key")
    private String userActivationKey;

    /** 登录邮箱 */
    @ApiModelProperty(value = "登录邮箱")
    @Excel(name = "登录邮箱")
    @TableField(value = "user_email")
    private String userEmail;

    /** 用户等级 */
    @ApiModelProperty(value = "用户等级")
    @Excel(name = "用户等级")
    @TableField(value = "user_grade")
    private Long userGrade;

    /** 用户积分 */
    @ApiModelProperty(value = "用户积分")
    @Excel(name = "用户积分")
    @TableField(value = "user_point")
    private Long userPoint;

    /** 用户设置的在线状态 0:在线 1:忙碌 2:离开 3:通话中 */
    @ApiModelProperty(value = "用户设置的在线状态 0:在线 1:忙碌 2:离开 3:通话中")
    @Excel(name = "用户设置的在线状态 0:在线 1:忙碌 2:离开 3:通话中")
    @TableField(value = "user_set_online_status")
    private Long userSetOnlineStatus;

    /** 用户类型 1:admin 2:会员  3：游客 */
    @ApiModelProperty(value = "用户类型 1:admin 2:会员  3：游客")
    @Excel(name = "用户类型 1:admin 2:会员  3：游客")
    @TableField(value = "user_type")
    private Long userType;

    /** 用户个人网站 */
    @ApiModelProperty(value = "用户个人网站")
    @Excel(name = "用户个人网站")
    @TableField(value = "user_url")
    private String userUrl;

    /** 用户名  */
    @ApiModelProperty(value = "用户名 ")
    @Excel(name = "用户名 ")
    @TableField(value = "username")
    private String username;

    /** 展示视频  */
    @ApiModelProperty(value = "展示视频 ")
    @Excel(name = "展示视频 ")
    @TableField(value = "video")
    private String video;

    /** 视频通话时间金币 /min */
    @ApiModelProperty(value = "视频通话时间金币 /min")
    @Excel(name = "视频通话时间金币 /min")
    @TableField(value = "video_coin")
    private Double videoCoin;

    /** 展示视频封面  */
    @ApiModelProperty(value = "展示视频封面 ")
    @Excel(name = "展示视频封面 ")
    @TableField(value = "video_img")
    private String videoImg;

    /** 职业 */
    @ApiModelProperty(value = "职业")
    @Excel(name = "职业")
    @TableField(value = "vocation")
    private String vocation;

    /** 展示声音  */
    @ApiModelProperty(value = "展示声音 ")
    @Excel(name = "展示声音 ")
    @TableField(value = "voice")
    private String voice;

    /** 语音通话时间金币 /min */
    @ApiModelProperty(value = "语音通话时间金币 /min")
    @Excel(name = "语音通话时间金币 /min")
    @TableField(value = "voice_coin")
    private Double voiceCoin;

    /** 多人语音直播状态 0:不在语音房间中 2:上麦标识 3:被邀上麦中 4:被踢下麦 5:下麦标识 6:申请上麦中 8:被踢出房间 */
    @ApiModelProperty(value = "多人语音直播状态 0:不在语音房间中 2:上麦标识 3:被邀上麦中 4:被踢下麦 5:下麦标识 6:申请上麦中 8:被踢出房间")
    @Excel(name = "多人语音直播状态 0:不在语音房间中 2:上麦标识 3:被邀上麦中 4:被踢下麦 5:下麦标识 6:申请上麦中 8:被踢出房间")
    @TableField(value = "voice_status")
    private Long voiceStatus;

    /** 苹果voip */
    @ApiModelProperty(value = "苹果voip")
    @Excel(name = "苹果voip")
    @TableField(value = "voip_token")
    private String voipToken;

    /** 映票余额 */
    @ApiModelProperty(value = "映票余额")
    @Excel(name = "映票余额")
    @TableField(value = "votes")
    private Double votes;

    /** 映票总额 */
    @ApiModelProperty(value = "映票总额")
    @Excel(name = "映票总额")
    @TableField(value = "votestotal")
    private Double votestotal;

    /** 财富等级 */
    @ApiModelProperty(value = "财富等级")
    @Excel(name = "财富等级")
    @TableField(value = "wealth_grade")
    private Long wealthGrade;

    /**  微信号 */
    @ApiModelProperty(value = " 微信号")
    @Excel(name = " 微信号")
    @TableField(value = "wechat")
    private String wechat;

    /** 体重  */
    @ApiModelProperty(value = "体重 ")
    @Excel(name = "体重 ")
    @TableField(value = "weight")
    private Double weight;

    /** 隐藏位置 0:未开启 1:开启 */
    @ApiModelProperty(value = "隐藏位置 0:未开启 1:开启")
    @Excel(name = "隐藏位置 0:未开启 1:开启")
    @TableField(value = "whether_enable_positioning_show")
    private Long whetherEnablePositioningShow;

    /** 青少年密码 */
    @ApiModelProperty(value = "青少年密码")
    @Excel(name = "青少年密码")
    @TableField(value = "youth_password")
    private String youthPassword;

    /** 最大僵尸粉数量 */
    @ApiModelProperty(value = "最大僵尸粉数量")
    @Excel(name = "最大僵尸粉数量")
    @TableField(value = "zombie_max_num")
    private Long zombieMaxNum;

    /** 僵尸粉比例 */
    @ApiModelProperty(value = "僵尸粉比例")
    @Excel(name = "僵尸粉比例")
    @TableField(value = "zombie_ratio")
    private Double zombieRatio;

    /** 代理等级 0：青铜  1：白银   2：黄金  3：铂金 */
    @ApiModelProperty(value = "代理等级 0：青铜  1：白银   2：黄金  3：铂金")
    @Excel(name = "代理等级 0：青铜  1：白银   2：黄金  3：铂金")
    @TableField(value = "agent_grade")
    private Long agentGrade;

    /** 直播分成比例 */
    @ApiModelProperty(value = "直播分成比例")
    @Excel(name = "直播分成比例")
    @TableField(value = "live_divided_into")
    private Double liveDividedInto;

    /** 代理分成比例 */
    @ApiModelProperty(value = "代理分成比例")
    @Excel(name = "代理分成比例")
    @TableField(value = "game_divided_into")
    private Double gameDividedInto;

    /** 代理绑定时间 */
    @ApiModelProperty(value = "代理绑定时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "代理绑定时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "invite_bind_time")
    private Date inviteBindTime;

    /** 资金密码 */
    @ApiModelProperty(value = "资金密码")
    @Excel(name = "资金密码")
    @TableField(value = "fund_password")
    private String fundPassword;

    /** 余额/可提现余额 */
    @ApiModelProperty(value = "余额")
    @Excel(name = "余额")
    @TableField(value = "diamond_coin")
    private Double diamondCoin;

    /** 累计余额总数 */
    @ApiModelProperty(value = "累计余额总数")
    @Excel(name = "累计余额总数")
    @TableField(value = "diamond_coin_total")
    private Double diamondCoinTotal;

    /** 累计余额总数 */
    @ApiModelProperty(value = "可提现余额（已废弃）")
    @Excel(name = "可提现余额（已废弃）")
    @TableField(value = "diamond_coin_cash")
    private Double diamondCoinCash;

    /** 累计提现余额 */
    @ApiModelProperty(value = "累计提现余额")
    @Excel(name = "累计提现余额")
    @TableField(value = "diamond_coin_cash_total")
    private Double diamondCoinCashTotal;

    /** 是否为代理 */
    @ApiModelProperty(value = "是否为代理  0：否  1：是")
    @Excel(name = "是否为代理  0：否  1：是")
    @TableField(value = "agent_flag")
    private Integer agentFlag;

    /** 可提现余额 */
    @ApiModelProperty(value = "可提现余额")
    @Excel(name = "可提现余额")
    @TableField(value = "withdraw_able")
    private Double withdrawAble;

    /** 已提现余额 */
    @ApiModelProperty(value = "已提现余额")
    @Excel(name = "已提现余额")
    @TableField(value = "withdraw")
    private Double withdraw;

    @TableField(exist = false)
    private LiveLive liveLive;

}