package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;


@Data
@TableName(value= "app_user_count")
@ApiModel(value = "app_user_count", description = "app用户统计")
public class AppUserCount {

    /** $column.columnComment */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    @Excel(name = "时间")
    @TableField(value = "str_date")
    @ApiModelProperty(value = "时间(2000-01-01)")
    private String strDate;

    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Excel(name = "上级用户ID")
    @TableField(value = "agent_user_id")
    @ApiModelProperty(value = "上级用户ID")
    private Long agentUserId;

    @Excel(name = "团队顶级用户ID")
    @TableField(value = "super_user_id")
    @ApiModelProperty(value = "团队顶级用户ID")
    private Long superUserId;

    @Excel(name = "充值金额")
    @TableField(value = "recharge_amount")
    @ApiModelProperty(value = "充值金额")
    private Double rechargeAmount;

    @Excel(name = "充值手续费")
    @TableField(value = "recharge_commission")
    @ApiModelProperty(value = "充值手续费")
    private Double rechargeCommission;

    @Excel(name = "充值赠送（余额）")
    @TableField(value = "recharge_give")
    @ApiModelProperty(value = "充值赠送（余额）")
    private Double rechargeGive;

    @Excel(name = "提现金额")
    @TableField(value = "withdrawal_amount")
    @ApiModelProperty(value = "提现金额")
    private Double withdrawalAmount;

    @Excel(name = "提现手续费")
    @TableField(value = "withdrawal_commission")
    @ApiModelProperty(value = "提现手续费")
    private Double withdrawalCommission;

    @Excel(name = "直播消费金额 (金币)")
    @TableField(value = "live_use_amount")
    @ApiModelProperty(value = "直播消费金额 （金币）")
    private Double liveUseAmount;

    @Excel(name = "直播佣金")
    @TableField(value = "live_commission")
    @ApiModelProperty(value = "直播佣金")
    private Double liveCommission;

    @Excel(name = "直播佣金")
    @TableField(value = "live_profit")
    @ApiModelProperty(value = "直播收益")
    private Double liveProfit;

    @Excel(name = "直播邀请奖励")
    @TableField(value = "live_invite")
    @ApiModelProperty(value = "直播邀请奖励")
    private Double liveInvite;

    @Excel(name = "游戏-下注金额")
    @TableField(value = "game_betting")
    @ApiModelProperty(value = "游戏-下注金额")
    private Double gameBetting;

    @Excel(name = "游戏-赢")
    @TableField(value = "game_win_amount")
    @ApiModelProperty(value = "游戏-赢")
    private Double gameWinAmount;

    @Excel(name = "游戏-输")
    @TableField(value = "game_lose_amount")
    @ApiModelProperty(value = "游戏-赢")
    private Double gameLoseAmount;

    @Excel(name = "游戏佣金(包含了直播间下注佣金)")
    @TableField(value = "game_commission")
    @ApiModelProperty(value = "游戏佣金(包含了直播间下注佣金)")
    private Double gameCommission;

    @Excel(name = "直播间下注佣金")
    @TableField(value = "live_betting_commission")
    @ApiModelProperty(value = "直播间下注佣金")
    private Double liveBettingCommission;

    @Excel(name = "创建时间")
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Excel(name = "更新时间")
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间 （用于游戏增量统计）")
    private Date updateTime;

    @Excel(name = "最后一次更新时间")
    @TableField(value = "count_time")
    @ApiModelProperty(value = "最后一次更新时间（用于直播、充值、提现增量统计）")
    private Date countTime;

    @Excel(name = "游戏最后一次更新时间")
    @TableField(value = "game_count_time")
    @ApiModelProperty(value = "最后一次更新时间（用于游戏返佣）")
    private Date gameCountTime;

    //是否全量更新
    @TableField(exist = false)
    private boolean isUpdate = false;
}
