package com.game.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 用户代理分红对象 app_user_count_dividend
 *
 * @author game
 * @date 2024-06-30
 */
@ApiModel(value = "app_user_count_dividend", description = "用户代理分红")
@TableName(value= "app_user_count_dividend")
@Data
public class AppUserCountDividend
        {
private static final long serialVersionUID=1L;

    /**  */
    @ApiModelProperty(value = "")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    @TableField(value = "user_id")
    private Long userId;

    /** 统计周期-开始 */
    @ApiModelProperty(value = "期号")
    @Excel(name = "期号" , width = 30)
    @TableField(value = "date_no")
    private String dateNo;

    /** 统计周期-开始 */
    @ApiModelProperty(value = "统计周期-开始")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "统计周期-开始" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "beginTime")
    private Date beginTime;

    /** 统计周期-结束 */
    @ApiModelProperty(value = "统计周期-结束")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "统计周期-结束" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "endTime")
    private Date endTime;

    /** 盈亏 */
    @ApiModelProperty(value = "盈亏")
    @Excel(name = "盈亏")
    @TableField(value = "profit_loss")
    private Double profitLoss;

    /** 百分比 */
    @ApiModelProperty(value = "百分比")
    @Excel(name = "百分比")
    @TableField(value = "rate")
    private Double rate;

    /** 金币 */
    @ApiModelProperty(value = "金币")
    @Excel(name = "金币")
    @TableField(value = "coin")
    private Double coin;

    /** 余额 */
    @ApiModelProperty(value = "余额")
    @Excel(name = "余额")
    @TableField(value = "diamond_coin")
    private Double diamondCoin;

    /** 状态 0：未发放  1：已发放 */
    @ApiModelProperty(value = "状态 0：未发放  1：已发放")
    @Excel(name = "状态 0：未发放  1：已发放")
    @TableField(value = "status")
    private Integer status;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time")
    private Date updateTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "昵称")
    private String nickName;

}