package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName(value= "app_user_game_count")
@ApiModel(value = "app_user_game_count", description = "app用户游戏统计")
public class AppUserGameCount {

    /** $column.columnComment */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    @Excel(name = "时间")
    @TableField(value = "str_date")
    @ApiModelProperty(value = "时间(2000-01-01)")
    private String strDate;

    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Excel(name = "游戏ID")
    @TableField(value = "game_id")
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    @Excel(name = "游戏-赢")
    @TableField(value = "game_win_amount")
    @ApiModelProperty(value = "游戏-赢")
    private Double gameWinAmount;

    @Excel(name = "游戏-输")
    @TableField(value = "game_lose_amount")
    @ApiModelProperty(value = "游戏-赢")
    private Double gameLoseAmount;

    @Excel(name = "游戏佣金")
    @TableField(value = "game_commission")
    @ApiModelProperty(value = "游戏佣金")
    private Double gameCommission;
}
