package com.game.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 直播分成记录表对象 app_user_live_divided_record
 *
 * @author game
 * @date 2024-06-30
 */
@ApiModel(value = "app_user_live_divided_record", description = "直播分成记录表")
@TableName(value= "app_user_live_divided_record")
@Data
public class AppUserLiveDividedRecord
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    @TableField(value = "user_id")
    private Long userId;

    /** 发放比例 */
    @ApiModelProperty(value = "发放比例")
    @Excel(name = "发放比例")
    @TableField(value = "rate")
    private BigDecimal rate;

    /** 直播待分成id */
    @ApiModelProperty(value = "直播待分成id")
    @Excel(name = "直播待分成id")
    @TableField(value = "user_live_divided_id")
    private Long userLiveDividedId;

    /** 金额 */
    @ApiModelProperty(value = "金额")
    @Excel(name = "金额")
    @TableField(value = "money")
    private BigDecimal money;

    /** 货币类型 1:人民币 2:金币 3:映票 4：余额 */
    @ApiModelProperty(value = "货币类型 1:人民币 2:金币 3:映票 4：余额")
    @Excel(name = "货币类型 1:人民币 2:金币 3:映票 4：余额")
    @TableField(value = "currency_type")
    private Integer currencyType;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

}