package com.game.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 主播认证对象 app_users_auth
 *
 * @author game
 * @date 2024-08-11
 */
@ApiModel(value = "app_users_auth", description = "主播认证")
@TableName(value= "app_users_auth")
@Data
public class AppUsersAuth
        {
private static final long serialVersionUID=1L;

    /** UID */
    @ApiModelProperty(value = "UID")
    @TableId(value = "uid" , type = IdType.AUTO)
    private Long uid;

    /** 提交时间 */
    @ApiModelProperty(value = "提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提交时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "addtime")
    private Date addtime;

    /** 反面 */
    @ApiModelProperty(value = "反面")
    @Excel(name = "反面")
    @TableField(value = "back_view")
    private String backView;

    /** 身份证号 */
    @ApiModelProperty(value = "身份证号")
    @Excel(name = "身份证号")
    @TableField(value = "cer_no")
    private String cerNo;

    /** 附加信息，用于确认分销商 */
    @ApiModelProperty(value = "附加信息，用于确认分销商")
    @Excel(name = "附加信息，用于确认分销商")
    @TableField(value = "extra_info")
    private String extraInfo;

    /** 正面 */
    @ApiModelProperty(value = "正面")
    @Excel(name = "正面")
    @TableField(value = "front_view")
    private String frontView;

    /** 手持 */
    @ApiModelProperty(value = "手持")
    @Excel(name = "手持")
    @TableField(value = "handset_view")
    private String handsetView;

    /** 电话 */
    @ApiModelProperty(value = "电话")
    @Excel(name = "电话")
    @TableField(value = "mobile")
    private String mobile;

    /** 其他资料图1 */
    @ApiModelProperty(value = "其他资料图1")
    @Excel(name = "其他资料图1")
    @TableField(value = "other1_view")
    private String other1View;

    /** 其他资料图2 */
    @ApiModelProperty(value = "其他资料图2")
    @Excel(name = "其他资料图2")
    @TableField(value = "other2_view")
    private String other2View;

    /** 其他资料图3 */
    @ApiModelProperty(value = "其他资料图3")
    @Excel(name = "其他资料图3")
    @TableField(value = "other3_view")
    private String other3View;

    /** 所属总家族ID */
    @ApiModelProperty(value = "所属总家族ID")
    @Excel(name = "所属总家族ID")
    @TableField(value = "pid_level1")
    private Long pidLevel1;

    /** 所属区域家族id */
    @ApiModelProperty(value = "所属区域家族id")
    @Excel(name = "所属区域家族id")
    @TableField(value = "pid_level2")
    private Long pidLevel2;

    /** 所属家族id */
    @ApiModelProperty(value = "所属家族id")
    @Excel(name = "所属家族id")
    @TableField(value = "pid_level3")
    private Long pidLevel3;

    /** 所属经纪人id */
    @ApiModelProperty(value = "所属经纪人id")
    @Excel(name = "所属经纪人id")
    @TableField(value = "pid_level4")
    private Long pidLevel4;

    /** qq账号 */
    @ApiModelProperty(value = "qq账号")
    @Excel(name = "qq账号")
    @TableField(value = "qq")
    private String qq;

    /** 姓名 */
    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名")
    @TableField(value = "real_name")
    private String realName;

    /** 审核说明 */
    @ApiModelProperty(value = "审核说明")
    @Excel(name = "审核说明")
    @TableField(value = "reason")
    private String reason;

    /**  主播星级id（该字段没有实际意义仅审核时用，请勿依赖） */
    @ApiModelProperty(value = " 主播星级id（该字段没有实际意义仅审核时用，请勿依赖）")
    @Excel(name = " 主播星级id" , readConverterExp = "该=字段没有实际意义仅审核时用，请勿依赖")
    @TableField(value = "star_id")
    private Long starId;

    /** 状态 1:待审核 2:审核拒绝 0:审核通过  -1：资料提交中 */
    @ApiModelProperty(value = "状态 1:待审核 2:审核拒绝 0:审核通过  -1：资料提交中")
    @Excel(name = "状态 1:待审核 2:审核拒绝 0:审核通过  -1：资料提交中")
    @TableField(value = "status")
    private Long status;

    /** 1:已完成第一步 2：已完成第二步， 3已完成第三部 */
    @ApiModelProperty(value = "1:已完成第一步 2：已完成第二步， 3已完成第三部")
    @Excel(name = "1:已完成第一步 2：已完成第二步， 3已完成第三部")
    @TableField(value = "step")
    private Long step;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "uptime")
    private Date uptime;

    /** 短视频地址 */
    @ApiModelProperty(value = "短视频地址")
    @Excel(name = "短视频地址")
    @TableField(value = "video_url")
    private String videoUrl;

    /** 微信账号 */
    @ApiModelProperty(value = "微信账号")
    @TableField(value = "wechat")
    private String wechat;

}