package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 公共配置对象 cfg_common
 *
 * @author game
 * @date 2024-07-13
 */
@ApiModel(value = "cfg_common", description = "公共配置")
@TableName(value= "cfg_common")
@Data
public class CfgCommon
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 配置值 */
    @ApiModelProperty(value = "配置值")
    @Excel(name = "配置值")
    @TableField(value = "cfg_value")
    private String cfgValue;

    /** 类型 0：团队转账限额  10：邀请奖励 */
    @ApiModelProperty(value = "类型 0：团队转账限额  10：邀请奖励  20：直播客服  30：游戏客服 40：支付客服")
    @Excel(name = "类型 0：团队转账限额  10：邀请奖励  20：直播客服  30：游戏客服 40：支付客服")
    @TableField(value = "type")
    private int type;

}