package com.game.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 直播管理对象 live_live
 *
 * @author game
 * @date 2024-08-30
 */
@ApiModel(value = "live_live", description = "直播管理")
@TableName(value= "live_live")
@Data
public class LiveLive
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 详细地址  */
    @ApiModelProperty(value = "详细地址 ")
    @Excel(name = "详细地址 ")
    @TableField(value = "address")
    private String address;

    /** 直播房间广告模板id 0：不启用 1:启用 */
    @ApiModelProperty(value = "直播房间广告模板id 0：不启用 1:启用")
    @Excel(name = "直播房间广告模板id 0：不启用 1:启用")
    @TableField(value = "ads_template_id")
    private Long adsTemplateId;

    /**  用户头像 */
    @ApiModelProperty(value = " 用户头像")
    @Excel(name = " 用户头像")
    @TableField(value = "avatar")
    private String avatar;

    /** 平台庄家余额 */
    @ApiModelProperty(value = "平台庄家余额")
    @Excel(name = "平台庄家余额")
    @TableField(value = "banker_coin")
    private Long bankerCoin;

    /** 频道ID */
    @ApiModelProperty(value = "频道ID")
    @Excel(name = "频道ID")
    @TableField(value = "channel_id")
    private Long channelId;

    /** 城市  */
    @ApiModelProperty(value = "城市 ")
    @Excel(name = "城市 ")
    @TableField(value = "city")
    private String city;

    /** 是否演示账号： 0否  1是 */
    @ApiModelProperty(value = "是否演示账号： 0否  1是")
    @Excel(name = "是否演示账号： 0否  1是")
    @TableField(value = "demo_account")
    private Long demoAccount;

    /** 游戏类型 */
    @ApiModelProperty(value = "游戏类型")
    @Excel(name = "游戏类型")
    @TableField(value = "game_action")
    private Long gameAction;

    /**  靓号 */
    @ApiModelProperty(value = " 靓号")
    @Excel(name = " 靓号")
    @TableField(value = "goodnum")
    private String goodnum;

    /** 位置 */
    @ApiModelProperty(value = "位置")
    @Excel(name = "位置")
    @TableField(value = "hot_sort_id")
    private Long hotSortId;

    /** 热门礼物总额 */
    @ApiModelProperty(value = "热门礼物总额")
    @Excel(name = "热门礼物总额")
    @TableField(value = "hotvotes")
    private Long hotvotes;

    /** 后台页面使用，不用管 */
    @ApiModelProperty(value = "后台页面使用，不用管")
    @Excel(name = "后台页面使用，不用管")
    @TableField(value = "import_template_id")
    private Long importTemplateId;

    /** 使用直播房间广告模板 0：不启用 1:启用 */
    @ApiModelProperty(value = "使用直播房间广告模板 0：不启用 1:启用")
    @Excel(name = "使用直播房间广告模板 0：不启用 1:启用")
    @TableField(value = "is_enable_template")
    private Long isEnableTemplate;

    /** 是否推荐 0:不推荐 1:推荐中 */
    @ApiModelProperty(value = "是否推荐 0:不推荐 1:推荐中")
    @Excel(name = "是否推荐 0:不推荐 1:推荐中")
    @TableField(value = "is_recommend")
    private Long isRecommend;

    /** 直播状态 1:直播中 0:关播 */
    @ApiModelProperty(value = "直播状态 1:直播中 0:关播")
    @Excel(name = "直播状态 1:直播中 0:关播")
    @TableField(value = "islive")
    private Long islive;

    /** 连麦开关，0是关，1是开 */
    @ApiModelProperty(value = "连麦开关，0是关，1是开")
    @Excel(name = "连麦开关，0是关，1是开")
    @TableField(value = "ismic")
    private Long ismic;

    /** 是否假视频 */
    @ApiModelProperty(value = "是否假视频")
    @Excel(name = "是否假视频")
    @TableField(value = "isvideo")
    private Long isvideo;

    /** 纬度 */
    @ApiModelProperty(value = "纬度")
    @Excel(name = "纬度")
    @TableField(value = "lat")
    private BigDecimal lat;

    /** 是否有直播购 0:没有直播购 1:有直播购 */
    @ApiModelProperty(value = "是否有直播购 0:没有直播购 1:有直播购")
    @Excel(name = "是否有直播购 0:没有直播购 1:有直播购")
    @TableField(value = "live_function")
    private Long liveFunction;

    /** 房间锁 1:上锁了 0:未上锁 */
    @ApiModelProperty(value = "房间锁 1:上锁了 0:未上锁")
    @Excel(name = "房间锁 1:上锁了 0:未上锁")
    @TableField(value = "live_lock_status")
    private Long liveLockStatus;

    /** 经度 */
    @ApiModelProperty(value = "经度")
    @Excel(name = "经度")
    @TableField(value = "lng")
    private BigDecimal lng;

    /**  用户昵称 */
    @ApiModelProperty(value = " 用户昵称")
    @Excel(name = " 用户昵称")
    @TableField(value = "nickname")
    private String nickname;

    /**  公告 */
    @ApiModelProperty(value = " 公告")
    @Excel(name = " 公告")
    @TableField(value = "notice")
    private String notice;

    /** 省份  */
    @ApiModelProperty(value = "省份 ")
    @Excel(name = "省份 ")
    @TableField(value = "province")
    private String province;

    /** 播流地址 */
    @ApiModelProperty(value = "播流地址")
    @Excel(name = "播流地址")
    @TableField(value = "pull")
    private String pull;

    /** 一级广告id */
    @ApiModelProperty(value = "一级广告id")
    @Excel(name = "一级广告id")
    @TableField(value = "room_ads_id0")
    private Long roomAdsId0;

    /** 二级广告id1 */
    @ApiModelProperty(value = "二级广告id1")
    @Excel(name = "二级广告id1")
    @TableField(value = "room_ads_id1")
    private Long roomAdsId1;

    /** 二级广告id2 */
    @ApiModelProperty(value = "二级广告id2")
    @Excel(name = "二级广告id2")
    @TableField(value = "room_ads_id2")
    private Long roomAdsId2;

    /** 二级广告id3 */
    @ApiModelProperty(value = "二级广告id3")
    @Excel(name = "二级广告id3")
    @TableField(value = "room_ads_id3")
    private Long roomAdsId3;

    /** 二级广告id4 */
    @ApiModelProperty(value = "二级广告id4")
    @Excel(name = "二级广告id4")
    @TableField(value = "room_ads_id4")
    private Long roomAdsId4;

    /** 二级广告id5 */
    @ApiModelProperty(value = "二级广告id5")
    @Excel(name = "二级广告id5")
    @TableField(value = "room_ads_id5")
    private Long roomAdsId5;

    /** 二级广告id6 */
    @ApiModelProperty(value = "二级广告id6")
    @Excel(name = "二级广告id6")
    @TableField(value = "room_ads_id6")
    private Long roomAdsId6;

    /** 二级广告id7 */
    @ApiModelProperty(value = "二级广告id7")
    @Excel(name = "二级广告id7")
    @TableField(value = "room_ads_id7")
    private Long roomAdsId7;

    /** 二级广告id8 */
    @ApiModelProperty(value = "二级广告id8")
    @Excel(name = "二级广告id8")
    @TableField(value = "room_ads_id8")
    private Long roomAdsId8;

    /** 房间状态 1：开启 0：关闭 */
    @ApiModelProperty(value = "房间状态 1：开启 0：关闭")
    @Excel(name = "房间状态 1：开启 0：关闭")
    @TableField(value = "room_status")
    private Long roomStatus;

    /** 房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间 */
    @ApiModelProperty(value = "房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间")
    @Excel(name = "房间类型 0:是一般直播 1:是私密直播 2:是收费直播 3:是计时直播 4:贵族房间")
    @TableField(value = "room_type")
    private Long roomType;

    /** 房间类型值 */
    @ApiModelProperty(value = "房间类型值")
    @Excel(name = "房间类型值")
    @TableField(value = "room_type_val")
    private String roomTypeVal;

    /**  直播横幅 */
    @ApiModelProperty(value = " 直播横幅")
    @Excel(name = " 直播横幅")
    @TableField(value = "shop_live_banner")
    private String shopLiveBanner;

    /**  直播购房间标签 */
    @ApiModelProperty(value = " 直播购房间标签")
    @Excel(name = " 直播购房间标签")
    @TableField(value = "shop_room_label")
    private String shopRoomLabel;

    /** 直播标识  */
    @ApiModelProperty(value = "直播标识 ")
    @Excel(name = "直播标识 ")
    @TableField(value = "showid")
    private String showid;

    /** 权重排序字段 */
    @ApiModelProperty(value = "权重排序字段")
    @Excel(name = "权重排序字段")
    @TableField(value = "sort")
    private Long sort;

    /** 开播时间  */
    @ApiModelProperty(value = "开播时间 ")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开播时间 " , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "starttime")
    private Date starttime;

    /** 流名 */
    @ApiModelProperty(value = "流名")
    @Excel(name = "流名")
    @TableField(value = "stream")
    private String stream;

    /** 标签名 */
    @ApiModelProperty(value = "标签名")
    @Excel(name = "标签名")
    @TableField(value = "tab_name")
    private String tabName;

    /** 标签样式 */
    @ApiModelProperty(value = "标签样式")
    @Excel(name = "标签样式")
    @TableField(value = "tab_style")
    private String tabStyle;

    /** 封面图 */
    @ApiModelProperty(value = "封面图")
    @Excel(name = "封面图")
    @TableField(value = "thumb")
    private String thumb;

    /** 封面图审核人 */
    @ApiModelProperty(value = "封面图审核人")
    @Excel(name = "封面图审核人")
    @TableField(value = "thumb_audit_by")
    private String thumbAuditBy;

    /** 封面图未通过原因 */
    @ApiModelProperty(value = "封面图未通过原因")
    @Excel(name = "封面图未通过原因")
    @TableField(value = "thumb_audit_reason")
    private String thumbAuditReason;

    /** 封面审核时间  */
    @ApiModelProperty(value = "封面审核时间 ")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "封面审核时间 " , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "thumb_audit_time")
    private Date thumbAuditTime;

    /** 封面审核状态 */
    @ApiModelProperty(value = "封面审核状态")
    @Excel(name = "封面审核状态")
    @TableField(value = "thumb_state")
    private Long thumbState;

    /** 标题  */
    @ApiModelProperty(value = "标题 ")
    @Excel(name = "标题 ")
    @TableField(value = "title")
    private String title;

    /**  用户id */
    @ApiModelProperty(value = " 用户id")
    @Excel(name = " 用户id")
    @TableField(value = "user_id")
    private Long userId;

}