package com.game.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 订单商品对象 shop_sub_order
 *
 * @author game
 * @date 2024-09-06
 */
@ApiModel(value = "shop_sub_order", description = "订单商品")
@TableName(value= "shop_sub_order")
@Data
public class ShopSubOrder
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 添加时间 */
    @ApiModelProperty(value = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "添加时间" , width = 30, dateFormat = "yyyy-MM-dd")
    @TableField(value = "add_time")
    private Date addTime;

    /**  商家id */
    @ApiModelProperty(value = " 商家id")
    @Excel(name = " 商家id")
    @TableField(value = "business_id")
    private Long businessId;

    /**  商家订单id */
    @ApiModelProperty(value = " 商家订单id")
    @Excel(name = " 商家订单id")
    @TableField(value = "business_order_id")
    private Long businessOrderId;

    /**  skuId */
    @ApiModelProperty(value = " skuId")
    @Excel(name = " skuId")
    @TableField(value = "compose_id")
    private Long composeId;

    /**  商品id */
    @ApiModelProperty(value = " 商品id")
    @Excel(name = " 商品id")
    @TableField(value = "goods_id")
    private Long goodsId;

    /**  商品名称 */
    @ApiModelProperty(value = " 商品名称")
    @Excel(name = " 商品名称")
    @TableField(value = "goods_name")
    private String goodsName;

    /**  商品数量 */
    @ApiModelProperty(value = " 商品数量")
    @Excel(name = " 商品数量")
    @TableField(value = "goods_num")
    private Long goodsNum;

    /** 商品简介图片地址  */
    @ApiModelProperty(value = "商品简介图片地址 ")
    @Excel(name = "商品简介图片地址 ")
    @TableField(value = "goods_picture")
    private String goodsPicture;

    /**  商品价格 */
    @ApiModelProperty(value = " 商品价格")
    @Excel(name = " 商品价格")
    @TableField(value = "goods_price")
    private BigDecimal goodsPrice;

    /**  物流名称 */
    @ApiModelProperty(value = " 物流名称")
    @Excel(name = " 物流名称")
    @TableField(value = "logistics_name")
    private String logisticsName;

    /**  物流单号 */
    @ApiModelProperty(value = " 物流单号")
    @Excel(name = " 物流单号")
    @TableField(value = "logistics_num")
    private String logisticsNum;

    /**  订单号 */
    @ApiModelProperty(value = " 订单号")
    @Excel(name = " 订单号")
    @TableField(value = "order_num")
    private String orderNum;

    /**  父订单(支付订单)id */
    @ApiModelProperty(value = " 父订单(支付订单)id")
    @Excel(name = " 父订单(支付订单)id")
    @TableField(value = "pay_id")
    private Long payId;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    @TableField(value = "remake")
    private String remake;

    /**  sku组合名称 */
    @ApiModelProperty(value = " sku组合名称")
    @Excel(name = " sku组合名称")
    @TableField(value = "sku_name")
    private String skuName;

    /** 订单状态 1：待付款 2：待发货 3：待收货 4：已完成 5：已取消 */
    @ApiModelProperty(value = "订单状态 1：待付款 2：待发货 3：待收货 4：已完成 5：已取消")
    @Excel(name = "订单状态 1：待付款 2：待发货 3：待收货 4：已完成 5：已取消")
    @TableField(value = "status")
    private Long status;

}