package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.sql.Date;

@Data
@ApiModel("代理转账记录")
public class AppUserTeamTranserRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始时间不能为空")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    @NotNull(message = "结束时间不能为空")
    private String endTime;


    @ApiModelProperty(value = "类型：0：转出  1：转入")
    @NotNull(message = "类型不能为空")
    private int type;

}
