package com.game.business.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "交易记录")
public class FinTranDto implements Serializable {

    @ApiModelProperty(value = "用户id，不传则查询当前用户")
    private Long userId;

    @ApiModelProperty(value = "类型 0：本期  1：上期  不传默认查询本月")
    private Integer type = 0;

    @ApiModelProperty(value = "交易类型 0：直播收益  1：邀请奖励 默认查询直播收益")
    private Integer tranType = 0;

    @ApiModelProperty(value = "开始时间")
    @JsonIgnore
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    @JsonIgnore
    private String endTime;

    @ApiModelProperty(value = "交易类型1")
    @JsonIgnore
    private Integer tranType1;

    @ApiModelProperty(value = "交易类型2")
    @JsonIgnore
    private Integer tranType2;

    @ApiModelProperty(value = "交易类型3")
    @JsonIgnore
    private Integer tranType3;

}
