package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppChargeChannel;

/**
 * 充值渠道Mapper接口
 *
 * @author game
 * @date 2024-08-13
 */
public interface AppChargeChannelMapper extends BaseMapper<AppChargeChannel> {
    /**
     * 查询充值渠道
     *
     * @param id 充值渠道主键
     * @return 充值渠道
     */
    public AppChargeChannel selectAppChargeChannelById(Long id);

    /**
     * 查询充值渠道列表
     *
     * @param appChargeChannel 充值渠道
     * @return 充值渠道集合
     */
    public List<AppChargeChannel> selectAppChargeChannelList(AppChargeChannel appChargeChannel);

    /**
     * 新增充值渠道
     *
     * @param appChargeChannel 充值渠道
     * @return 结果
     */
    public int insertAppChargeChannel(AppChargeChannel appChargeChannel);

    /**
     * 修改充值渠道
     *
     * @param appChargeChannel 充值渠道
     * @return 结果
     */
    public int updateAppChargeChannel(AppChargeChannel appChargeChannel);

    /**
     * 删除充值渠道
     *
     * @param id 充值渠道主键
     * @return 结果
     */
    public int deleteAppChargeChannelById(Long id);

    /**
     * 批量删除充值渠道
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppChargeChannelByIds(Long[] ids);
}