package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppUserCountDividend;
import org.apache.ibatis.annotations.Param;

/**
 * 用户代理分红Mapper接口
 *
 * @author game
 * @date 2024-06-30
 */
public interface AppUserCountDividendMapper extends BaseMapper<AppUserCountDividend> {
    /**
     * 查询用户代理分红
     *
     * @param id 用户代理分红主键
     * @return 用户代理分红
     */
    public AppUserCountDividend selectAppUserCountDividendById(Long id);

    /**
     * 查询用户代理分红列表
     *
     * @param appUserCountDividend 用户代理分红
     * @return 用户代理分红集合
     */
    public List<AppUserCountDividend> selectAppUserCountDividendList(AppUserCountDividend appUserCountDividend);

    /**
     * 新增用户代理分红
     *
     * @param appUserCountDividend 用户代理分红
     * @return 结果
     */
    public int insertAppUserCountDividend(AppUserCountDividend appUserCountDividend);

    /**
     * 修改用户代理分红
     *
     * @param appUserCountDividend 用户代理分红
     * @return 结果
     */
    public int updateAppUserCountDividend(AppUserCountDividend appUserCountDividend);

    /**
     * 删除用户代理分红
     *
     * @param id 用户代理分红主键
     * @return 结果
     */
    public int deleteAppUserCountDividendById(Long id);

    /**
     * 批量删除用户代理分红
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserCountDividendByIds(Long[] ids);

    /**
     * 查询用户团队分红列表
     *
     * */
    public List<AppUserCountDividend> selectUserDividendList(@Param("pid") Long pid,@Param("userId") Long userId,@Param("dateNum")String dateNum);
}