package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppUserLiveDividedRecord;

/**
 * 直播分成记录表Mapper接口
 *
 * @author game
 * @date 2024-06-30
 */
public interface AppUserLiveDividedRecordMapper extends BaseMapper<AppUserLiveDividedRecord> {
    /**
     * 查询直播分成记录表
     *
     * @param id 直播分成记录表主键
     * @return 直播分成记录表
     */
    public AppUserLiveDividedRecord selectAppUserLiveDividedRecordById(Long id);

    /**
     * 查询直播分成记录表列表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 直播分成记录表集合
     */
    public List<AppUserLiveDividedRecord> selectAppUserLiveDividedRecordList(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 新增直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    public int insertAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 修改直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    public int updateAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 删除直播分成记录表
     *
     * @param id 直播分成记录表主键
     * @return 结果
     */
    public int deleteAppUserLiveDividedRecordById(Long id);

    /**
     * 批量删除直播分成记录表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserLiveDividedRecordByIds(Long[] ids);
}