package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.ShopBusinessOrder;

/**
 * 购物订单Mapper接口
 *
 * @author game
 * @date 2024-09-06
 */
public interface ShopBusinessOrderMapper extends BaseMapper<ShopBusinessOrder> {
    /**
     * 查询购物订单
     *
     * @param id 购物订单主键
     * @return 购物订单
     */
    public ShopBusinessOrder selectShopBusinessOrderById(Long id);

    /**
     * 查询购物订单列表
     *
     * @param shopBusinessOrder 购物订单
     * @return 购物订单集合
     */
    public List<ShopBusinessOrder> selectShopBusinessOrderList(ShopBusinessOrder shopBusinessOrder);

    /**
     * 新增购物订单
     *
     * @param shopBusinessOrder 购物订单
     * @return 结果
     */
    public int insertShopBusinessOrder(ShopBusinessOrder shopBusinessOrder);

    /**
     * 修改购物订单
     *
     * @param shopBusinessOrder 购物订单
     * @return 结果
     */
    public int updateShopBusinessOrder(ShopBusinessOrder shopBusinessOrder);

    /**
     * 删除购物订单
     *
     * @param id 购物订单主键
     * @return 结果
     */
    public int deleteShopBusinessOrderById(Long id);

    /**
     * 批量删除购物订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShopBusinessOrderByIds(Long[] ids);
}