package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppGameCommission;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 游戏佣金配置Service接口
 *
 * @author game
 * @date 2024-06-23
 */
public interface IAppGameCommissionService extends IService<AppGameCommission> {
    /**
     * 查询游戏佣金配置
     *
     * @param id 游戏佣金配置主键
     * @return 游戏佣金配置
     */
    public AppGameCommission selectAppGameCommissionById(Long id);

    /**
     * 查询游戏佣金配置列表
     *
     * @param appGameCommission 游戏佣金配置
     * @return 游戏佣金配置集合
     */
    public List<AppGameCommission> selectAppGameCommissionList(AppGameCommission appGameCommission);

    /**
     * 新增游戏佣金配置
     *
     * @param appGameCommission 游戏佣金配置
     * @return 结果
     */
    public int insertAppGameCommission(AppGameCommission appGameCommission);

    /**
     * 修改游戏佣金配置
     *
     * @param appGameCommission 游戏佣金配置
     * @return 结果
     */
    public int updateAppGameCommission(AppGameCommission appGameCommission);

    /**
     * 批量删除游戏佣金配置
     *
     * @param ids 需要删除的游戏佣金配置主键集合
     * @return 结果
     */
    public int deleteAppGameCommissionByIds(Long[] ids);

    /**
     * 删除游戏佣金配置信息
     *
     * @param id 游戏佣金配置主键
     * @return 结果
     */
    public int deleteAppGameCommissionById(Long id);

    /**
     * 根据用户id查询游戏分红比例
     * */
    public List<AppGameCommission> getByIds(List<Long> ids);
}