package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppUserLiveDividedRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 直播分成记录表Service接口
 *
 * @author game
 * @date 2024-06-30
 */
public interface IAppUserLiveDividedRecordService extends IService<AppUserLiveDividedRecord> {
    /**
     * 查询直播分成记录表
     *
     * @param id 直播分成记录表主键
     * @return 直播分成记录表
     */
    public AppUserLiveDividedRecord selectAppUserLiveDividedRecordById(Long id);

    /**
     * 查询直播分成记录表列表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 直播分成记录表集合
     */
    public List<AppUserLiveDividedRecord> selectAppUserLiveDividedRecordList(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 新增直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    public int insertAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 修改直播分成记录表
     *
     * @param appUserLiveDividedRecord 直播分成记录表
     * @return 结果
     */
    public int updateAppUserLiveDividedRecord(AppUserLiveDividedRecord appUserLiveDividedRecord);

    /**
     * 批量删除直播分成记录表
     *
     * @param ids 需要删除的直播分成记录表主键集合
     * @return 结果
     */
    public int deleteAppUserLiveDividedRecordByIds(Long[] ids);

    /**
     * 删除直播分成记录表信息
     *
     * @param id 直播分成记录表主键
     * @return 结果
     */
    public int deleteAppUserLiveDividedRecordById(Long id);

    /**
     * 查询用户指定时间直播分佣记录
     * */
    public List<AppUserLiveDividedRecord> selectByDate(Long userId,String beginDate,String endDate);
}