package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppUserLiveDivided;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 直播待分成表Service接口
 *
 * @author game
 * @date 2024-06-30
 */
public interface IAppUserLiveDividedService extends IService<AppUserLiveDivided> {
    /**
     * 查询直播待分成表
     *
     * @param id 直播待分成表主键
     * @return 直播待分成表
     */
    public AppUserLiveDivided selectAppUserLiveDividedById(Long id);

    /**
     * 查询直播待分成表列表
     *
     * @param appUserLiveDivided 直播待分成表
     * @return 直播待分成表集合
     */
    public List<AppUserLiveDivided> selectAppUserLiveDividedList(AppUserLiveDivided appUserLiveDivided);

    /**
     * 新增直播待分成表
     *
     * @param appUserLiveDivided 直播待分成表
     * @return 结果
     */
    public int insertAppUserLiveDivided(AppUserLiveDivided appUserLiveDivided);

    /**
     * 修改直播待分成表
     *
     * @param appUserLiveDivided 直播待分成表
     * @return 结果
     */
    public int updateAppUserLiveDivided(AppUserLiveDivided appUserLiveDivided);

    /**
     * 批量删除直播待分成表
     *
     * @param ids 需要删除的直播待分成表主键集合
     * @return 结果
     */
    public int deleteAppUserLiveDividedByIds(Long[] ids);

    /**
     * 删除直播待分成表信息
     *
     * @param id 直播待分成表主键
     * @return 结果
     */
    public int deleteAppUserLiveDividedById(Long id);
}