package com.game.business.service;

import java.util.List;
import com.game.business.domain.ShopBusinessOrder;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 购物订单Service接口
 *
 * @author game
 * @date 2024-09-06
 */
public interface IShopBusinessOrderService extends IService<ShopBusinessOrder> {
    /**
     * 查询购物订单
     *
     * @param id 购物订单主键
     * @return 购物订单
     */
    public ShopBusinessOrder selectShopBusinessOrderById(Long id);

    /**
     * 查询购物订单列表
     *
     * @param shopBusinessOrder 购物订单
     * @return 购物订单集合
     */
    public List<ShopBusinessOrder> selectShopBusinessOrderList(ShopBusinessOrder shopBusinessOrder);

    /**
     * 新增购物订单
     *
     * @param shopBusinessOrder 购物订单
     * @return 结果
     */
    public int insertShopBusinessOrder(ShopBusinessOrder shopBusinessOrder);

    /**
     * 修改购物订单
     *
     * @param shopBusinessOrder 购物订单
     * @return 结果
     */
    public int updateShopBusinessOrder(ShopBusinessOrder shopBusinessOrder);

    /**
     * 批量删除购物订单
     *
     * @param ids 需要删除的购物订单主键集合
     * @return 结果
     */
    public int deleteShopBusinessOrderByIds(Long[] ids);

    /**
     * 删除购物订单信息
     *
     * @param id 购物订单主键
     * @return 结果
     */
    public int deleteShopBusinessOrderById(Long id);
}