package com.game.business.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * 用户的基本信息,包括一些额外的东西,如果说贵族对应的图片, eg:这里面都是非数据库字段的扩展字段
 */
@JsonIgnoreProperties
public class ApiUserInfoVo extends UserBasicInfoVo{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "手机号，以后要删掉的")
    public String mobile;

    /******以下字段是计算出来的（简单计算）*************************************************************/
    @ApiModelProperty(value = "手机号长度")
    public int mobileLength;

    @ApiModelProperty(value = "年龄")
    public int age;

    @ApiModelProperty(value = "是否绑定上级 1：未绑定 2：已绑定")
    public int isPid;

    @ApiModelProperty(value = "是否显示首充 1:不显示 0:显示")
    public int isFirstRecharge;

    /******以下字段是关联查询出来的*************************************************************/
    @ApiModelProperty(value = "贵族等级图片")
    public String nobleGradeImg;

    @ApiModelProperty(value = "贵族名称")
    public String nobleName;

    @ApiModelProperty(value = "贵族头像框")
    public String nobleAvatarFrame;

    @ApiModelProperty(value = "用户等级图片")
    public String userGradeImg;

    @ApiModelProperty(value = "主播等级图片")
    public String anchorGradeImg;

    @ApiModelProperty(value = "财富等级图片")
    public String wealthGradeImg;

    @ApiModelProperty(value = "魅力等级图片")
    public String charmGradeImg;

    @ApiModelProperty(value = "贵族勋章", name = "nobleMedal")
    public String nobleMedal;

    @ApiModelProperty(value = "房间号")
    public long roomId;

    @ApiModelProperty(value = "跟随房间类型 1:视频 2:语音")
    public int gsRoomType;

    @ApiModelProperty(value = "房间号(跟随用)")
    public long gsRoomId;

    @ApiModelProperty(value = "是否设置了支付密码")
    public boolean fundFlag = false;

    @JsonIgnore
    public String fundPassword;

}
