package com.game.business.vo;

import cn.hutool.core.collection.ListUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.game.business.domain.AppGameCommission;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel("代理团队")
public class AppAgentTeamVo {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "上级id")
    private Long pid;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户金币")
    private double coin;

    @ApiModelProperty(value = "用户余额")
    private double diamondCoin;

    @ApiModelProperty(value = "投注金额")
    private double bettingAmount;

    @ApiModelProperty(value = "直播返点")
    private double liveCommission;

    @ApiModelProperty(value = "游戏返点")
    private double gameCommission;

    @ApiModelProperty(value = "直播间下注返点")
    private double liveBettingCommission;

    @ApiModelProperty(value = "盈亏")
    private double gameAmount;

    @ApiModelProperty(value = "充值金额")
    private double rechargeAmount;

    @ApiModelProperty(value = "充值手续费")
    private double rechargeCommission;

    @ApiModelProperty(value = "提现手续费")
    private double withdrawalCommission;

    @ApiModelProperty(value = "充值赠送金额")
    private double rechargeGive;

    /** 直播分成比例 */
    @ApiModelProperty(value = "直播分成比例")
    private Long liveRate;

    @ApiModelProperty(value = "团队人数")
    private Integer teamNum;

    /** 保底分红比例 */
    @ApiModelProperty(value = "保底分红比例")
    private Long dividendGuaranteeRate;

    @ApiModelProperty(value = "游戏比例设置")
    private List<AppGameCommission> gameCommissionList = ListUtil.empty();

}
