package com.game.business.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel("代理转账记录")
public class AppUserTeamTranserRecordVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id")
    private Long userId;

    /** 用户id */
    @ApiModelProperty(value = "昵称")
    @NotNull(message = "昵称")
    private String nickName;

    /** 金额 **/
    @ApiModelProperty(value = "金额")
    @NotNull(message = "金额")
    private Double money;

    /** 金额 **/
    @ApiModelProperty(value = "到账时间")
    @NotNull(message = "到账时间")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date time;

}
