package com.game.business.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "交易记录")
public class FinTranVo implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户昵称")
    private String username;

    @ApiModelProperty(value = "收益来源用户iD")
    private Long fromUid;

    @ApiModelProperty(value = "收益来源用户昵称")
    private String fromUsername;

    @ApiModelProperty(value = "变动金币")
    private Double coinChange;

    @ApiModelProperty(value = "变动余额")
    private Double diamondCoinChange;

    @ApiModelProperty(value = "交易类型1")
    private Integer tranType1;

    @ApiModelProperty(value = "交易类型2")
    private Integer tranType2;

    @ApiModelProperty(value = "交易类型3")
    private Integer tranType3;

    @ApiModelProperty(value = "交易说明")
    private String remarks;

    @ApiModelProperty(value = "交易时间")
    @NotNull(message = "交易时间")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date createTime;

}
