package com.game.business.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户基本信息,主要用来展示 eg: 这里是用户在数据库中的部分字段信息
 */
@ApiModel(value = "com.kalacheng.buscommon.model.UserBasicInfo", description = "用户基本信息")
public class UserBasicInfoVo extends UserStatusVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户ID", name = "userId")
    public long userId;

    @ApiModelProperty(value = "昵称", name = "username")
    public String username;

    @ApiModelProperty(value = "头像", name = "avatar")
    public String avatar;

    @ApiModelProperty(value = "性别 1:男 2:女", name = "sex")
    public int sex;

    @ApiModelProperty(value = "生日", name = "birthday")
    public String birthday;

    @ApiModelProperty(value = "直播封面", name = "liveThumb")
    public String liveThumb;

    @ApiModelProperty(value = "角色 0:普通用户 1:主播", name = "role")
    public int role;

    @ApiModelProperty(value = "身高", name = "height")
    public int height;

    @ApiModelProperty(value = "体重", name = "weight")
    public double weight;

    @ApiModelProperty(value = "三围", name = "sanwei")
    public String sanwei;

    @ApiModelProperty(value = "职业", name = "vocation")
    public String vocation;

    @ApiModelProperty(value = "星座", name = "constellation")
    public String constellation;

    @ApiModelProperty(value = "地址", name = "address")
    public String address;

    @ApiModelProperty(value = "个性签名", name = "signature")
    public String signature;

    @ApiModelProperty(value = "省份", name = "province")
    public String province;

    @ApiModelProperty(value = "城市", name = "city")
    public String city;

    @ApiModelProperty(value = "经度", name = "lng")
    public double lng;

    @ApiModelProperty(value = "纬度", name = "lat")
    public double lat;

    @ApiModelProperty(value = "群id", name = "groupId")
    public long groupId;

    @ApiModelProperty(value = "金币 ", name = "coin")
    public double coin;

    @ApiModelProperty(value = "可兑换（提现）金币 ", name = "coinCash")
    public double coinCash;

    @ApiModelProperty(value = "映票余额/可提现金额", name = "votes")
    public double votes;

    @ApiModelProperty(value = "靓号", name = "goodnum")
    public String goodnum;

    @ApiModelProperty(value = "用户类型 1:admin 2:会员  3：游客")
    public int userType;

    @ApiModelProperty(value = "pid", name = "pid")
    public long pid;

    @ApiModelProperty(value = "上级经纪人ID，对应AdminUser表")
    public long managerId;

    @ApiModelProperty(value = "上级经纪人公会ID，对应AdminUser表。Co=company公司")
    public long managerCoId;

    @ApiModelProperty(value = "直属上级代理（后台管理员）")
    public long agentId;

    @ApiModelProperty(value = "用户等级", name = "userGrade")
    public int userGrade;

    @ApiModelProperty(value = "主播等级")
    public int anchorGrade;

    @ApiModelProperty(value = "财富等级", name = "wealthGrade")
    public int wealthGrade;

    @ApiModelProperty(value = "贵族等级", name = "nobleGrade")
    public int nobleGrade;

    @ApiModelProperty(value = "魅力等级")
    public int charmGrade;

    @ApiModelProperty(value = "视频通话费用", name = "videoCoin")
    public double videoCoin;

    @ApiModelProperty(value = "语音通话费用", name = "voiceCoin")
    public double voiceCoin;

    @ApiModelProperty(value = "注册时间", name = "createTime")
    public String createTime;

    @ApiModelProperty(value = "海报", name = "poster")
    public String poster;

    @ApiModelProperty(value = "短视频剩余可观看私密视频次数", name = "readShortVideoNumber")
    public int readShortVideoNumber;

    @ApiModelProperty(value = "消费总额（财富积分）")
    public double consumption;

    @ApiModelProperty(value = "魅力积分")
    public int charmPoint;

    @ApiModelProperty(value = "ooo导航分类关联app_live_channel表")
    public long headNo;

    @ApiModelProperty(value = "ooo二级分类id")
    public long oooTwoClassifyId;

    @ApiModelProperty(value = "余额 /充值金额")
    public double diamondCoin;

    @ApiModelProperty(value = "余额累积充值金额")
    public double diamondCoinTotal;

    @ApiModelProperty(value = "可提现余额")
    public double diamondCoinCash;

    @ApiModelProperty(value = "是否为代理 0 否  1 是")
    public int agentFlag;

}
