package com.game.common.constant;

/**
 * 缓存的key 常量
 * 
 * @author recruit
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * 用户团队本周盈亏
     */
    public static final String USER_AGENT_TEAM_PHASE = "user_agent_team_phase";

    /**
     * 用户已经统计过的游戏返佣
     */
    public static final String USER_GAME_RECORD_COUNT = "user_game_record_count:";

    /**
     * 用户统计锁
     */
    public static final String USER_STATICS_COUNT = "user_statics_count:";

    /**
     * 开奖任务锁
     */
    public static final String GAME_LOTTERY_TASK = "game_lottery_task:";

    /**
     * 创建开奖任务锁
     */
    public static final String GAME_LOTTERY_TASK_CREATE = "game_lottery_task_create:";

    /**
     * 倍数记录锁
     */
    public static final String GAME_LOTTERY_ITEM_MULTIPLE = "game_lottery_item_multiple:";

}
